Subject: mapAndValidate() and map() behave differently
Description

mapAndValidate() does not expect $target to be passed by reference. As a consequence, a string (object name) can be passed, BUT
if an array would be passed, the function would actually do nothing (because the result is never returned).

History
#1 - 2011-01-19 11:37 - Robert Lemke

mapAndValidate() also requires passing a validator but the previous argument is optional ...

#2 - 2011-01-19 11:45 - Robert Lemke

map() also returns the target object directly if $target was a string! That's contrary to the DocComment

#3 - 2011-05-06 09:27 - Sebastian Kurfuerst
- Status changed from New to Rejected

Not relevant anymore because of new Property Mapper
